Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Thread_Exit_Maybe Class Reference

A version of ACE_Thread_Exit that is created dynamically under the hood if the flag is set to TRUE. More...

`#include <Thread_Exit.h>`

Collaboration diagram for ACE_Thread_Exit_Maybe:

[legend]
List of all members.

## Public Member Functions
| ACE_Thread_Exit_Maybe (int flag=0)
| Don't create an ACE_Thread_Exit instance by default.
| ~ACE_Thread_Exit_Maybe (void)
| Destroys the underlying ACE_Thread_Exit instance if it exists.
ACE_Thread_Exit * | operator-> (void) const
| Delegates to underlying instance.
ACE_Thread_Exit * | instance (void) const
| Returns the underlying instance.
## Private Attributes
ACE_Thread_Exit * | instance_
| Holds the underlying instance.

## Detailed Description

A version of ACE_Thread_Exit that is created dynamically under the hood if the flag is set to TRUE.

Allows the appearance of a "smart pointer", but is not always created.

## Constructor & Destructor Documentation

ACE_Thread_Exit_Maybe::ACE_Thread_Exit_Maybe | ( | int | flag = `0` | ) |

| Don't create an ACE_Thread_Exit instance by default.

ACE_Thread_Exit_Maybe::~ACE_Thread_Exit_Maybe | ( | void |  | ) |

| Destroys the underlying ACE_Thread_Exit instance if it exists.

## Member Function Documentation

ACE_Thread_Exit * ACE_Thread_Exit_Maybe::instance | ( | void |  | ) | const

| Returns the underlying instance.

ACE_Thread_Exit * ACE_Thread_Exit_Maybe::operator-> | ( | void |  | ) | const

| Delegates to underlying instance.

## Member Data Documentation

ACE_Thread_Exit* ACE_Thread_Exit_Maybe::instance_`[private]`

| Holds the underlying instance.

The documentation for this class was generated from the following files:

- Thread_Exit.h
- Thread_Exit.cpp